#include <windows.h>
#include <stdio.h>
#include <string.h>
#include <stdlib.h>
#include <time.h>
#include <windowsx.h> 
#include <math.h>

#pragma comment( lib, "../bin/pdfpage.lib" )

extern "C" __declspec(dllexport) BOOL __stdcall VerySetPDFVersion(const char *lpszPDFFile, const char *lpszValue);

void main(int argc,char *argv[])
{
	BOOL bRet;
	char szInputPDFFile[256];
	char szOutputPDFFile[256];
	char drive[_MAX_DRIVE];
	char dir[_MAX_DIR];
	char fname[MAX_PATH];
	char ext[_MAX_EXT];

	if(argc != 3)
	{
		printf("\"%s\" D:\\test.pdf 1.5\n", argv[0]);
		printf("\"%s\" D:\\test.pdf 1.6\n", argv[0]);
		printf("\"%s\" D:\\test.pdf 1.7\n", argv[0]);
		printf("\"%s\" D:\\test.pdf 1.8\n", argv[0]);
		return;
	}
	bRet = VerySetPDFVersion(argv[1], argv[2]);
	printf("Set %s to %s, result = %d\n", argv[2], argv[1], bRet);
	printf("Press any key to continue......\n");
	getchar();
}